<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Create a DataFrame from a SparkSQL Table</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for table {SparkR}"><tr><td>table {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>Create a DataFrame from a SparkSQL Table</h2>

<h3>Description</h3>

<p>Returns the specified Table as a DataFrame.  The Table must have already been registered
in the SQLContext.
</p>


<h3>Usage</h3>

<pre>
table(sqlContext, tableName)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>sqlContext</code></td>
<td>
<p>SQLContext to use</p>
</td></tr>
<tr valign="top"><td><code>tableName</code></td>
<td>
<p>The SparkSQL Table to convert to a DataFrame.</p>
</td></tr>
</table>


<h3>Value</h3>

<p>DataFrame
</p>


<h3>Examples</h3>

<pre>
## Not run: 
sc &lt;- sparkR.init()
sqlContext &lt;- sparkRSQL.init(sc)
path &lt;- "path/to/file.json"
df &lt;- read.json(sqlContext, path)
registerTempTable(df, "table")
new_df &lt;- table(sqlContext, "table")

## End(Not run)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
